#-------------------------------------------------
#
# Project created by QtCreator 2014-05-17T15:16:00
#
#-------------------------------------------------

QT += core gui webkit sql svg

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets sql svg webkitwidgets printsupport

TARGET = fairySQL
TEMPLATE = app

unix:DEFINES += UNIX MYSQL
win32:DEFINES += MYSQL

HEADERS  += src/calculator.h \
    src/finddialog.h \
    src/formulaeditor.h \
    src/formatcolorglobals.h \
    src/global.h \
    src/highlighter.h \
    src/keyboard.h \
    src/lineedits.h \
    src/logindialog.h \
    src/mainwidget.h \
    src/mainwindow.h \
    src/sqlglobals.h \
    src/sqlmodel.h \
    src/tableview.h \
    src/textedit.h \
    src/textviewer.h \
    src/widgets.h \
    src/tree.h

SOURCES += src/calculator.cpp \
    src/finddialog.cpp \
    src/formulaeditor.cpp \
    src/highlighter.cpp \
    src/keyboard.cpp \
    src/lineedits.cpp \
    src/logindialog.cpp \
    src/main.cpp\
    src/mainwidget.cpp \
    src/mainwindow.cpp \
    src/savetosql.cpp \
    src/sqlmodel.cpp \
    src/tableview.cpp \
    src/textedit.cpp \
    src/textviewer.cpp \
    src/widgets.cpp \
    src/tree.cpp

RESOURCES = fairySQL.qrc

OBJECTS_DIR += .obj
MOC_DIR += .moc
RCC_DIR += .rcc
win32:RC_FILE = fairySQL.rc
TRANSLATIONS = lang/fairySQL_en.ts \
    lang/fairySQL_hu.ts \
    lang/fairySQL_ro.ts

# install
unix {
    target.path = /usr/local/bin
    translations.files = lang/*.qm
    translations.path = /usr/local/share/fairySQL/lang
}
win32: {
    target.path = c:\fairySQL
    }

INSTALLS += target

OTHER_FILES +=
