#ifndef __TREE_H
#define __TREE_H

#include <QTreeWidget>

//QFairyTree

class QFairyTree : public QTreeWidget
{
    Q_OBJECT

public:
    QFairyTree(QWidget *parent = 0);

signals:
    void reloadTreeSignal();
    void selectFromTableSignal(QTreeWidgetItem *);

protected:
    virtual void contextMenuEvent(QContextMenuEvent *event);

private slots:
    void reloadTree();
    void selectFromTable();
};

#endif // TREE_H
